Uploaded image for project: 'Infinispan'
  1. Infinispan
  2. ISPN-7808

Upgrade to mockito 2.7.21

    Details

      Description

      While fixing ISPN-7659, I changed version.mockito in the parent POM to 2.7.21 (the latest version of mockito-core).

      It turns out that all the modules actually depend on mockito-all without specifying a version. version.mockito was only used by some OSGi integration tests, and the change broke them.

      The latest version of mockito-all is 1.9.5, which is quite old, so it would be best to upgrade to the latest mockito-core everywhere.

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                dan.berindei Dan Berindei
                Reporter:
                dan.berindei Dan Berindei
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: